cURL
curl -X GET "https://api.sitespy.app/api/v1/search?q=example.com" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
params = {'q': 'example.com'}
response = requests.get('https://api.sitespy.app/api/v1/search',
headers=headers, params=params)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"watches": {
"095be615-a8ad-4c33-8e9c-c7612fbf6c9f": {
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"url": "http://example.com",
"title": "Example Website Monitor",
"tags": [
"550e8400-e29b-41d4-a716-446655440000"
],
"paused": false,
"notification_muted": false
}
}
}Search
Search watches
Search web page change monitors (watches) by URL or title text
GET
/
search
cURL
curl -X GET "https://api.sitespy.app/api/v1/search?q=example.com" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
params = {'q': 'example.com'}
response = requests.get('https://api.sitespy.app/api/v1/search',
headers=headers, params=params)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"watches": {
"095be615-a8ad-4c33-8e9c-c7612fbf6c9f": {
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"url": "http://example.com",
"title": "Example Website Monitor",
"tags": [
"550e8400-e29b-41d4-a716-446655440000"
],
"paused": false,
"notification_muted": false
}
}
}Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.
Query Parameters
Search query to match against watch URLs and titles
Tag name to limit results (name not UUID)
Allow partial matching of URL query
Response
200 - application/json
Search results
Dictionary of matching web page change monitors (watches) keyed by UUID
Show child attributes
Show child attributes

